## org.codehaus.groovy.antlr
Class ASTRuntimeException

author:
  James Strachan

version:
  $Revision: 8004 $

Field Summary
`AST` | `ast`

Constructor Summary
`ASTRuntimeException(AST ast, String message)`
`ASTRuntimeException(AST ast, String message, Throwable throwable)`

Method Summary
`static String` | `description(AST node)`
`AST` | `getAst()`
`int` | `getColumn()`
`int` | `getLine()`

Constructor Detail

### ASTRuntimeException

    public ASTRuntimeException(AST ast, String message)

### ASTRuntimeException

    public ASTRuntimeException(AST ast, String message, Throwable throwable)

Method Detail

### description

    static String description(AST node)

### getAst

    public AST getAst()

### getColumn

    public int getColumn()

### getLine

    public int getLine()